Subject: bug#22545: Kernel panic after system reconfiguration

From: Albin <[email-masked]>
Date: Wed, 3 Feb 2016 17:47:17 +0100

Hi,

With no other changes I just ran guix pull and guix system reconfigure
on my MacBook2,1 which created an unbootable system.

After having completed the reconfiguration I tried to halt or reboot the
system but got this error message:

> error: connect: /var/run/shepherd/socket: file or directory does not exist

I did a hard shutdown and rebooted.

I've attached a picture of the kernel panic screen and here is my system
configuration:
http://paste.lisp.org/display/306452

The OS was quite bootable after my last reconfiguration on January 26.

Albin